import '../../flutter_map.dart';

class LatLngBounds {
  LatLng southwest;

  LatLng northeast;

  LatLngBounds({required this.southwest, required this.northeast});

  factory LatLngBounds.fromJson(Map<String, dynamic> map) {
    return LatLngBounds(
      southwest: LatLng.fromJson(map['southwest']),
      northeast: LatLng.fromJson(map['northeast']),
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'southwest': southwest.toJson(),
      'northeast': northeast.toJson(),
    };
  }
}
